﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Emgu.CV;
using Emgu.CV.Structure;

namespace bbiwarg.InputProviders
{
    class InputFrame
    {
        public int Width { get; private set; }
        public int Height { get; private set; }
        public IntPtr RawDepthData { get; private set; }
        public IntPtr RawConfidenceData { get; private set; }

        public InputFrame(int width, int height, IntPtr rawDepthData, IntPtr rawConfidenceData) {
            this.Width = width;
            this.Height = height;
            this.RawDepthData = rawDepthData;
            this.RawConfidenceData = rawConfidenceData;
        }
    }
}
